package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

/**
 * POJO for Address.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class Address {

    @NonNull private User user;
    private long id;
    @NonNull private String name;
    @NonNull private String street;
    @NonNull private String number;
    @NonNull private int zipCode;
    @NonNull private String city;
}