package de.hsel.itech.db.pojo;

import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

/**
 * POJO for Shopping Cart.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@RequiredArgsConstructor
public class ShoppingCartItem {

    @NonNull private User user;
    @NonNull private Book article;
    @NonNull private int count;
}