package de.hsel.itech.db.pojo;

import lombok.*;

/**
 * POJO for User.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@RequiredArgsConstructor
public class User {

    private long id;
    @NonNull private String email;
    @NonNull private String name;
    @NonNull private String password;
    @NonNull private short type;
}