package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.Order;
import de.hsel.itech.db.pojo.User;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import java.util.List;

/**
 * @author Johannes Theiner
 * @version 0.1
 * @since 1.0
 **/

@ManagedBean
@RequestScoped
public class OrderBean {

    public User getUser() {
        FacesContext context = FacesContext.getCurrentInstance();
        return (User) context.getApplication().evaluateExpressionGet(context,"#{userBean.user}", User.class);
    }

    public List<Order> getOrders() {
        return Database.getInstance().order().getAll(getUser());
    }
}