package de.hsel.itech.db.pojo;

import lombok.*;

import java.io.Serializable;

/**
 * POJO for Category.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Data
@AllArgsConstructor
@RequiredArgsConstructor
@NoArgsConstructor
public class Category implements Serializable {

    private long id;
    @NonNull private String name;
    private String image;

    public Category(String name, String image) {
        this.name = name;
        this.image = image;
    }
}
