<%@ page import="de.hsel.itech.db.Database" %>
<%@ page import="de.hsel.itech.db.pojo.Category" %>
<%@ page import="java.nio.charset.StandardCharsets" %>
<%@ page import="java.util.Objects" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@include file="header.html"%>
<%
    request.setCharacterEncoding(StandardCharsets.UTF_8.name());
    response.setCharacterEncoding(StandardCharsets.UTF_8.name());
%>
<div class="m-container">
    <h1 class="m-text-center">Kategorien</h1>
<div class="m-row">
<%
    for(Category category : Objects.requireNonNull(Database.getInstance().category().getAll())) {
        %>
    <div class="m-col-t-4">
        <a href="category.jsp?id=<%= category.getId() %>">
            <figure class="m-figure">
                <img src="https://source.unsplash.com/<%= category.getImage()%>/900x900" alt="<%=category.getName()%>">
                <figcaption class="m-text-center"><%=category.getName()%></figcaption>
            </figure>
        </a>
    </div>
        <%
    }
%>
</div>
</div>
<%@include file="footer.html"%>
